Subject: Re: Author citations

From: Kenelm Philip <[email-masked]>
Date: Thu, 27 Jun 1996 14:44:41 -0800

For North American butterflies' scientific names _with_ authors,
obtain from the Lepidopterists' Society a copy of Memoir #3: Supplement to:
A Catologue/Checklist of the Butterflies of America North of Mexico, ed.
Clifford D. Ferris.

                                                        Ken Philip
[email-masked]